Canvas5Structure::UnpackDecoder Struct Reference

a basic Unpack decoder More...

## Public Member Functions

| UnpackDecoder (unsigned char const *data, unsigned long len)
| constructor
bool | decode (unsigned long expectedLength, std::vector< unsigned char > &output)

## Protected Attributes

unsigned char const * | m_data
unsigned long | m_len
unsigned long | m_pos

## Detailed Description

a basic Unpack decoder

## Constructor & Destructor Documentation

## UnpackDecoder()

Canvas5Structure::UnpackDecoder::UnpackDecoder | ( | unsigned char const * | data,
|  | unsigned long | len )

inline

constructor

## Member Function Documentation

## decode()

bool Canvas5Structure::UnpackDecoder::decode | ( | unsigned long | expectedLength,
|  | std::vector< unsigned char > & | output )

inline

Referenced by Canvas5Structure::decodeZone5().

## Member Data Documentation

## m_data

unsigned char const* Canvas5Structure::UnpackDecoder::m_data

protected

Referenced by decode(), and UnpackDecoder().

## m_len

unsigned long Canvas5Structure::UnpackDecoder::m_len

protected

Referenced by decode(), and UnpackDecoder().

## m_pos

unsigned long Canvas5Structure::UnpackDecoder::m_pos

mutable protected

Referenced by decode(), and UnpackDecoder().

The documentation for this struct was generated from the following file:

- Canvas5Structure.cxx